#-------------------------------------------------------------------------------
# Tax 2020
# [Free] [Opensource] [Parametric]
#-------------------------------------------------------------------------------

#!/usr/bin/env ruby
require 'sketchup.rb'
require "extensions.rb"
require "bigdecimal/math"
include BigMath

#-------------------------------------------------------------------------------

module MakeParts
# Plugin information
PLUGIN_NAME = "Tax Make Parts"
PLUGIN_ID = File.basename(__FILE__, ".rb")
PLUGIN_ROOT = File.dirname(__FILE__)
PLUGIN_DIR = File.join( PLUGIN_ROOT, PLUGIN_ID )

 unless file_loaded?( __FILE__ )
  LOADER = File.join(PLUGIN_DIR, "main")
  EXTENSION = SketchupExtension.new( PLUGIN_NAME, LOADER )
  EXTENSION.creator     = "Tax"
  EXTENSION.description = "Make mechanical parts (mariner and roller chain links, spur gears, springs, suspensions, bicycle wheels and railroad along path) based on parametric specifications."
  EXTENSION.version     = "6.2"
  EXTENSION.copyright   = "#{EXTENSION.creator} 2020"
  Sketchup.register_extension(EXTENSION, true)
 end
end

file_loaded( __FILE__ )

#-------------------------------------------------------------------------------